Package com.creditcall.chipdnamobile

# Enum Class OfflineRequest.CEMOfflineRequestType

java.lang.Object
java.lang.Enum<OfflineRequest.CEMOfflineRequestType>
com.creditcall.chipdnamobile.OfflineRequest.CEMOfflineRequestType

All Implemented Interfaces:
  `Serializable`, `Comparable<OfflineRequest.CEMOfflineRequestType>`, `Constable`

Enclosing class:
  OfflineRequest

public static enum OfflineRequest.CEMOfflineRequestType extends Enum<OfflineRequest.CEMOfflineRequestType>
An enum representing the type of the request

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Refund`
  A refund request
  `RefundConf`
  A refund confirmation request.
  `RefundVoid`
  A refund void request.
  `Sale`
  A sale request.
  `SaleConf`
  A sale confirmation request.
  `SaleVoid`
  A sale void request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OfflineRequest.CEMOfflineRequestType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OfflineRequest.CEMOfflineRequestType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Sale

    public static final OfflineRequest.CEMOfflineRequestType Sale
    A sale request.

  - ### SaleConf

    public static final OfflineRequest.CEMOfflineRequestType SaleConf
    A sale confirmation request.

  - ### SaleVoid

    public static final OfflineRequest.CEMOfflineRequestType SaleVoid
    A sale void request.

  - ### Refund

    public static final OfflineRequest.CEMOfflineRequestType Refund
    A refund request

  - ### RefundConf

    public static final OfflineRequest.CEMOfflineRequestType RefundConf
    A refund confirmation request.

  - ### RefundVoid

    public static final OfflineRequest.CEMOfflineRequestType RefundVoid
    A refund void request.

- ## Method Details

  - ### values

    public static OfflineRequest.CEMOfflineRequestType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OfflineRequest.CEMOfflineRequestType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null